com.aventstack.extentreports

## Interface ReportAggregatesListener

-     public interface ReportAggregatesListener

  Allows sharing of aggregates/collections to be shared with the started reporter. A few examples of these collections include:
  - Category context - list of all categories and associated tests
  - Exception context - list of all exceptions and associated tests
  - Complete list of started tests
  - System information

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAuthorContextInfo(TestAttributeTestContextProvider<Author> authorContext)` Allows sharing the complete list of author and associated tests with the reporter
    `void` | `setCategoryContextInfo(TestAttributeTestContextProvider<Category> categoryContext)` Allows sharing the complete list of category and associated tests with the reporter
    `void` | `setDeviceContextInfo(TestAttributeTestContextProvider<Device> deviceContext)` Allows sharing the complete list of device and associated tests with the reporter
    `void` | `setExceptionContextInfo(ExceptionTestContextImpl exceptionContext)` Allows sharing the complete list of exceptions and associated tests with the reporter
    `void` | `setReportStatusStats(ReportStatusStats sc)` Report Status stats of the run session for all possible levels: Features/Tests Scenarios/Logs Steps
    `void` | `setStatusList(List<Status> statusList)` A distinct list of status assigned to tests
    `void` | `setSystemAttributeContext(SystemAttributeContext systemAttributeContext)` Passes all system information to the reporter
    `void` | `setTestList(List<Test> testList)` Allows sharing the complete list of tests with the reporter
    `void` | `setTestRunnerLogs(List<String> logs)` Passes the complete list of logs to the reporter

- - ### Method Detail

    - #### setTestList

          void setTestList(List<Test> testList)

      Allows sharing the complete list of tests with the reporter
      Parameters:
        `testList` - list of all tests created by `ExtentReports`

    - #### setTestRunnerLogs

          void setTestRunnerLogs(List<String> logs)

      Passes the complete list of logs to the reporter
      Parameters:
        `logs` - testrunner logs

    - #### setCategoryContextInfo

          void setCategoryContextInfo(TestAttributeTestContextProvider<Category> categoryContext)

      Allows sharing the complete list of category and associated tests with the reporter
      Parameters:
        `categoryContext` - collection containing categories and all associated tests

    - #### setAuthorContextInfo

          void setAuthorContextInfo(TestAttributeTestContextProvider<Author> authorContext)

      Allows sharing the complete list of author and associated tests with the reporter
      Parameters:
        `authorContext` - collection containing author and all associated tests

    - #### setDeviceContextInfo

          void setDeviceContextInfo(TestAttributeTestContextProvider<Device> deviceContext)

      Allows sharing the complete list of device and associated tests with the reporter
      Parameters:
        `deviceContext` - collection containing devices and all associated tests

    - #### setExceptionContextInfo

          void setExceptionContextInfo(ExceptionTestContextImpl exceptionContext)

      Allows sharing the complete list of exceptions and associated tests with the reporter
      Parameters:
        `exceptionContext` - collection containing exception and all associated tests

    - #### setSystemAttributeContext

          void setSystemAttributeContext(SystemAttributeContext systemAttributeContext)

      Passes all system information to the reporter
      Parameters:
        `systemAttributeContext` - system information

    - #### setReportStatusStats

          void setReportStatusStats(ReportStatusStats sc)

      Report Status stats of the run session for all possible levels:
      - Features/Tests
      - Scenarios/Logs
      - Steps
      Parameters:
        `sc` - `ReportStatusStats` represents stats of each hierarchical level of test/event

    - #### setStatusList

          void setStatusList(List<Status> statusList)

      A distinct list of status assigned to tests
      Parameters:
        `statusList` - a distinct list of `Status`

Copyright © 2018. All rights reserved.